{
  description = "Zonsopkomst's NixOS Flake to Manage Multiple Machines";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.url = "github:hyprwm/Hyprland";
  };

  outputs = inputs@{ 
    home-manager, 
    hyprland, 
    nixpkgs, 
    ... }: {
     
    nixosConfigurations = {
     nixos = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./hosts/home/laptop/configuration.nix
          home-manager.nixosModules.home-manager
          {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.zonsopkomst = import ./hosts/home/laptop/home.nix;
          }

        hyprland.nixosModules.default
        {programs.hyprland.enable = true;}
        ];
      };

      frija = nixpkgs.lib.nixosSystem {
        system = "x86_64-linux";
        modules = [
          ./hosts/home/frija/configuration.nix
          home-manager.nixosModules.home-manager
          {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.aspire = import ./hosts/home/frija/home.nix;
          }
        ];
      };
      
    };
  };
}
